Subject: Re: Going from 2.2.12 to 2.2.17pre10

From: Adrian Cox <[email-masked]>
Date: Tue, 11 Jul 2000 10:37:11 +0100

Matt Porter wrote:
> Back to original point, I'm not against using a residual data or
> device tree if it doesn't have to have dozens of fixups applied.
> I just don't see that coming out of the proprietary hardware/software
> houses to use their broken data...

Residual data is useful for things like finding the memory size, and for
chips designed inside Apple. For almost everything else Linux already
contains a device tree, built by PCI probing when the kernel boots^*. I
don't see much need for a parallel, architecture specific, device tree.

- Adrian Cox, AG Electronics
*) Apologies to MCA and Nubus users.

** Sent via the linuxppc-dev mail list. See http://lists.linuxppc.org/